image: python:latest

before_script:
  - time apt update
  - time pip install -r requirements.txt

pages:
  stage: deploy
  script:
    - time mkdocs build --site-dir public
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      changes:
        - "docs/**/*"
        - "mkdocs.yml"




